<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Thirteen
 * @since Judy Toma 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="page" class="hfeed site">
		
        <header id="masthead" class="site-header" role="banner">
			<a class="home-link" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
				<h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
			</a>

			<div id="navbar" class="navbar">
            
            	<div class="top-social-links-wrapper">
                	<ul>
                    	<li><a href="<?php if(get_option('JudyToma__imdb')){ echo get_option('JudyToma__imdb'); } else echo '#'; ?>"><img src="<?php echo get_template_directory_uri();?>/images/icons/imdb-icon.jpg" alt="IMDB"/></a></li>
                        <li><a href="<?php if(get_option('JudyToma__ln')){ echo get_option('JudyToma__ln'); } else echo '#'; ?>"><img src="<?php echo get_template_directory_uri();?>/images/icons/linkedin-icon.png" alt="Linkedin"/></a></li>
                        <li><a href="<?php if(get_option('JudyToma__twit')){ echo get_option('JudyToma__twit'); } else echo '#'; ?>"><img src="<?php echo get_template_directory_uri();?>/images/icons/twitter-icon.png" alt="Twitter"/></a></li>
                        <li><a href="<?php if(get_option('JudyToma__fb')){ echo get_option('JudyToma__fb'); } else echo '#'; ?>"><img src="<?php echo get_template_directory_uri();?>/images/icons/facebook-icon.png" alt="Facebook"/></a></li>
                 	</ul>
                </div>
            
            <div class="clear"></div>
            
				<nav id="site-navigation" class="navigation main-navigation" role="navigation">
					<button class="menu-toggle"><?php _e( 'Menu', 'judytoma' ); ?></button>
					<a class="screen-reader-text skip-link" href="#content" title="<?php esc_attr_e( 'Skip to content', 'judytoma' ); ?>"><?php _e( 'Skip to content', 'judytoma' ); ?></a>
					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu', 'menu_id' => 'primary-menu' ) ); ?>
 				</nav><!-- #site-navigation -->
			</div><!-- #navbar -->
		</header><!-- #masthead -->
		<div class="nav-bottom-bar"></div>
		<div id="main" class="site-main">
