<?php
/*
Template Name: Contact Page
*/

get_header(); ?>
<?php

  //response generation function

  $response = "";

  //function to generate response
  function my_contact_form_generate_response($type, $message){

    global $response;

    if($type == "success") $response = "<div class='success'>{$message}</div>";
    else $response = "<div class='error'>{$message}</div>";

  }	
  //response messages
   $missing_content = "Please supply all information.";
   $email_invalid   = "Email Address Invalid.";
   $message_unsent  = "Message was not sent. Try Again.";
   $message_sent    = "Thanks! Your message has been sent.";

if (isset($_POST['submitted'])) {
	


  //user posted variables
  $name = trim($_POST['message_name']);
  $email = trim($_POST['message_email']);
  $message = trim($_POST['message_text']);
  $phone = trim($_POST['phone']);
  
  $message1 = 'Phone: '.$phone.'<br/>'.$message;

  //php mailer variables
  $to = get_option('JudyToma__Emailadd');
  $subject = "Someone sent a message from ".get_bloginfo('name');
  $headers = 'From: '. $email . "\r\n" .
    'Reply-To: ' . $email . "\r\n";


      //validate email
      
         //validate presence of name and message
        if(empty($name) || empty($message)  || empty($phone) || empty($email)){
          my_contact_form_generate_response("error", $missing_content);
        }
        else //ready to go!
        {
          if(!filter_var($email, FILTER_VALIDATE_EMAIL)) {
				my_contact_form_generate_response("error", $email_invalid);
		  } else {
				$sent = wp_mail($to, $subject, strip_tags($message1), $headers);
				if($sent) my_contact_form_generate_response("success", $message_sent); //message sent!
				else my_contact_form_generate_response("error", $message_unsent); //message wasn't sent
		  }
        }
      
 }
 else if ($_POST['submitted']) my_contact_form_generate_response("error", $missing_content);
 
?>


	<div id="primary" class="content-area">
		<div id="content" class="site-content" role="main">

			<?php /* The loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<header class="entry-header">
 						<h1 class="entry-title"><?php the_title(); ?></h1>
					</header><!-- .entry-header -->

					<div class="entry-content">
						<?php the_content(); ?>
                        
                        <div class="contact-left-col">
                        		<h3>General Inquiry Form</h3>
                                
             <div id="respond" class="contactform">
                <?php echo $response; ?>
                <form action="<?php the_permalink(); ?>" method="post">
                  <p>
                  <label for="name">Name: <span>*</span></label>
                  <input type="text" name="message_name" value="<?php echo esc_attr($_POST['message_name']); ?>">
                  </p>
                  
                  <p>
                  <label for="message_email">Your Email: <span>*</span></label>
                  <input type="text" name="message_email" value="<?php echo esc_attr($_POST['message_email']); ?>"> 
                  </p>
                  
                  <p>
                  <label for="message_text">Your Message: <span>*</span> </label>
                  <textarea type="text" name="message_text"><?php echo esc_textarea($_POST['message_text']); ?></textarea>
                  </p>
                  
                  <p>
                  <label for="phone">Your Phone: <span>*</span> </label>
                  <input type="text" name="phone" value="<?php echo esc_attr($_POST['phone']); ?>">
                  </p>
                  
                  
                  <p>
                  <label for="submit">&nbsp;</label>
                  <input type="submit" value="Submit" id="con_btn" />
                  </p>
                  
                  <input type="hidden" name="submitted" value="1">
                 </form>
              </div>






                        </div>
                        
                        <div class="contact-right-col">
                        		<h3>Our Address</h3>
                                <div class="contactdetails">
                                	<div class="con_add"><div class="contact_lbl">Address</div>&nbsp;&nbsp;<div class="coninneradd">: <?php if(get_option('JudyToma__Addr')){ echo nl2br(get_option('JudyToma__Addr')); }?></div></div>
                                    	<div class="clear"></div>
                                    <div class="con_phn"><div class="contact_lbl">Phone </div>&nbsp;&nbsp;<div class="coninneradd">: <?php if(get_option('JudyToma__phno')){ echo get_option('JudyToma__phno'); }?></div></div>
                                    	<div class="clear"></div>
                                    <div class="con_mail"><div class="contact_lbl">Email</div>&nbsp;&nbsp;<div class="coninneradd">: <?php if(get_option('JudyToma__Emailadd')){ echo get_option('JudyToma__Emailadd'); }?></div></div>
                                    	<div class="clear"></div>
                                    <div class="con_googlemap" id="con_googlemap"></div>
                                 </div>
                                
                                
                                
                        </div>
                        
                        
                        
						 
					</div><!-- .entry-content -->
 				</article><!-- #post -->

 			<?php endwhile; ?>

		</div><!-- #content -->
	</div><!-- #primary -->
<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&signed_in=true"></script>
<script>
function initialize() {
  var myLatlng = new google.maps.LatLng(-37.8179337,144.9549392);
  var mapOptions = {
    zoom: 16,
    center: myLatlng
  }
  
  
  var map = new google.maps.Map(document.getElementById('con_googlemap'), mapOptions);

  var marker = new google.maps.Marker({
      position: myLatlng,
      map: map,
      title: '411c/585-587 Little Collins St. Melbourne VIC 3000, Australia'
  });
}

google.maps.event.addDomListener(window, 'load', initialize);

 </script>

 <?php get_footer(); ?>